Just bought iPhone 4...have HUGE problem... need help.

Discussion in 'iPhone' started by Chuch, Jul 2, 2010.

  1. Chuch

    Chuch Member

    Joined:
    Apr 7, 2009
    Messages:
    209
    Likes Received:
    0
    Device:
    iPhone 4 (White)
    I bought a new iPphone 4 and plugged into into my mac and got the message, The iPhone "iPhone" cannot be used because it requires Mac OS X 10.5.8 or later. Im currently running 10.4.11 tiger. Is there some way around this or will i have to buy a whole new mac?
  2. jmwerkus

    jmwerkus Active Member

    Joined:
    Apr 9, 2009
    Messages:
    3,030
    Likes Received:
    17
    Device:
    iPhone 5S
    you can just upgrade you mac...
  3. ShizerMonkey

    ShizerMonkey Banned

    Joined:
    Feb 13, 2009
    Messages:
    1,741
    Likes Received:
    0
    Device:
    iPad
    Maybe he using a PowerBook or iBook which cannot be upgraded higher than tiger !..
  4. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    Get Windows. (Or Linux)
  5. billyjoel

    billyjoel New Member

    Joined:
    Jun 13, 2010
    Messages:
    27
    Likes Received:
    0
    In that case he should use any windows PC he can get a hold off
  6. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    Yep. Just buy an Windows XP copy on ebay or something for 15 bucks and try with that.
  7. ShizerMonkey

    ShizerMonkey Banned

    Joined:
    Feb 13, 2009
    Messages:
    1,741
    Likes Received:
    0
    Device:
    iPad
    Yeah windows is your best answer ..... ( wow I thought I'd never say that :| )
  8. billyjoel

    billyjoel New Member

    Joined:
    Jun 13, 2010
    Messages:
    27
    Likes Received:
    0
    Important note
    He will need a windows PC
    Windows it is NOT compatible with powerbook's/ibook's hardware and tiger does NOT have the bootcamp option
  9. b-mac 39

    b-mac 39 Well-Known Member

    Joined:
    Dec 15, 2009
    Messages:
    5,809
    Likes Received:
    60
    Device:
    iPhone 4S (White)
    Then get Leopard?
  10. billyjoel

    billyjoel New Member

    Joined:
    Jun 13, 2010
    Messages:
    27
    Likes Received:
    0
    ibook's and powebook's hardware is NOT compatible with anything later than Tiger. So no

Share This Page